solarOSsolarOS Docs

Update one Customer Relationship

Updates relationship contact mirrors by relationship id. ownerTeamMemberId is create-only here and is rejected on PATCH because Organization API v1 does not expose the staff reassignment action. Required scope: customers:write.

PATCH
/customer-relationships/{id}

Updates relationship contact mirrors by relationship id. ownerTeamMemberId is create-only here and is rejected on PATCH because Organization API v1 does not expose the staff reassignment action. Required scope: customers:write.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Path Parameters

id*string

Customer Relationship identifier returned by the Organization API.

Request Body

application/json

JSON request payload for updateCustomerRelationship.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/customer-relationships/string" \  -H "Content-Type: application/json" \  -d '{    "phone": "+15555550124"  }'
{  "data": {},  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}